99 lines
2.8 KiB
Diff
99 lines
2.8 KiB
Diff
From 8341cf78bc6879cb2d50e12b5886ee7dca3d09f2 Mon Sep 17 00:00:00 2001
|
|
From: =?UTF-8?q?Javier=20Jard=C3=B3n?= <jjardon@gnome.org>
|
|
Date: Sat, 9 Feb 2019 13:15:17 +0000
|
|
Subject: [PATCH] Use autoreconf instead deprecated gnome-common
|
|
|
|
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
|
|
---
|
|
autogen.sh | 47 +++++++++++++++++++++++++++++++++--------------
|
|
configure.ac | 6 ++----
|
|
2 files changed, 35 insertions(+), 18 deletions(-)
|
|
|
|
diff --git autogen.sh autogen.sh
|
|
index 1d8cd840..fd35663b 100755
|
|
--- autogen.sh
|
|
+++ autogen.sh
|
|
@@ -1,22 +1,41 @@
|
|
#!/bin/sh
|
|
# Run this to generate all the initial makefiles, etc.
|
|
+test -n "$srcdir" || srcdir=$(dirname "$0")
|
|
+test -n "$srcdir" || srcdir=.
|
|
|
|
-srcdir=`dirname $0`
|
|
-test -z "$srcdir" && srcdir=.
|
|
+olddir=$(pwd)
|
|
|
|
-PKG_NAME="glade"
|
|
+cd $srcdir
|
|
|
|
-(test -f $srcdir/configure.ac \
|
|
- && test -f $srcdir/autogen.sh) || {
|
|
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
|
|
- echo " top-level $PKG_NAME directory"
|
|
- exit 1
|
|
+(test -f configure.ac) || {
|
|
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
|
|
+ exit 1
|
|
}
|
|
|
|
-which gnome-autogen.sh || {
|
|
- echo "You need to install gnome-common module and make"
|
|
- echo "sure the gnome-autogen.sh script is in your \$PATH."
|
|
- exit 1
|
|
-}
|
|
+# shellcheck disable=SC2016
|
|
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
|
|
+
|
|
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
|
|
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
|
|
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
|
|
+ echo "*** '$0' command line." >&2
|
|
+ echo "" >&2
|
|
+fi
|
|
+
|
|
+aclocal --install || exit 1
|
|
+gtkdocize --copy || exit 1
|
|
+intltoolize --force --copy --automake || exit 1
|
|
+autoreconf --verbose --force --install || exit 1
|
|
+
|
|
+cd "$olddir"
|
|
+if [ "$NOCONFIGURE" = "" ]; then
|
|
+ $srcdir/configure "$@" || exit 1
|
|
|
|
-. gnome-autogen.sh
|
|
+ if [ "$1" = "--help" ]; then
|
|
+ exit 0
|
|
+ else
|
|
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
|
|
+ fi
|
|
+else
|
|
+ echo "Skipping configure process."
|
|
+fi
|
|
diff --git configure.ac configure.ac
|
|
index a3524656..638e7801 100644
|
|
--- configure.ac
|
|
+++ configure.ac
|
|
@@ -33,6 +33,8 @@ AM_MAINTAINER_MODE([enable])
|
|
# to make
|
|
AM_SILENT_RULES([yes])
|
|
|
|
+AX_CHECK_ENABLE_DEBUG([yes],[GNOME_ENABLE_DEBUG])
|
|
+
|
|
# Checks for programs
|
|
AC_PROG_CC
|
|
AC_PROG_INSTALL
|
|
@@ -79,10 +81,6 @@ AM_CONDITIONAL(GLADE_UNSTABLE, test "x$GLADE_UNSTABLE" = "xyes")
|
|
|
|
# ================================================================
|
|
|
|
-GNOME_DEBUG_CHECK
|
|
-GNOME_COMPILE_WARNINGS([maximum])
|
|
-GNOME_MAINTAINER_MODE_DEFINES
|
|
-
|
|
# For the plugins, we don't use the warning flags defined by GNOME_COMPILE_WARNINGS.
|
|
# These flags include -Wmissing-prototypes, which we prefer not to use.
|
|
if test "x$GCC" = "xyes"; then
|
|
--
|
|
2.24.1
|
|
|